/*
   Read from standard input while
   also writing to standard output.
*/

import java.util.Scanner;

public class ReadingWhileWriting_v1
{
   private static char c = 'a';

   public static void main(String[] args)
   {
      final Runnable readerTask = new ReaderTask();
      final Thread readerThread = new Thread(readerTask);

      readerThread.start();

      while (true)
      {
         System.out.print( c );
      }
   }


   static class ReaderTask implements Runnable
   {
      private final Scanner stdin = new Scanner(System.in);

      @Override
      public void run()
      {
         while (true)
         {
            c = stdin.next().charAt(0);  // This blocks.
         }
      }
   }
}
