/*
   Read from standard input while
   also writing to standard output.

   This will not compile. This is a "pseudo code"
   version of how a non-blocking I/O future works.
*/

import java.util.Scanner;
import java.util.concurrent.Future;

public class ReadingWhileWriting_v6
{
   private static final Scanner stdin = new Scanner(System.in);

   public static void main(String[] args) throws InterruptedException
   {
      Future<String> futureString = stdin.next_NB(); // A non-blocking, future version of next().

      char c = 'a';
      while (true)
      {
         while ( ! futureString.isDone() ) // a polling loop
         {
            System.out.print( c );
         }
         c = futureString.get().charAt(0);  // finsh the read
         futureString = stdin.next_NB();    // set up another future value
      }
   }
}
