/*
   Read from standard input while
   also writing to standard output.

   This will not compile. This is a "pseudo code"
   version of how a non-blocking I/O callback works.
*/

import java.util.Scanner;

public class ReadingWhileWriting_v5
{
   private static final Scanner stdin = new Scanner(System.in);
   private static char c = 'a';

   public static void main(String[] args)
   {
      stdin.next_NB_CB(readHandler); // A non-blocking, callback version of next().

      while (true)
      {
         System.out.print( c );
      }
   }


   public static void readHandler() // A callback method.
   {
      c = stdin.next().charAt(0);     // finsh the read
      stdin.next_NB_CB(readHandler);  // set up another callback
   }
}
